Function
getValue
Access to the value.
GetValue getValue(object)
GetValue getValue(container, pos)
getValue(file,it)
Include Headers
seqan/basic.h, seqan/blast.h, seqan/graph_types.h, seqan/sequence.h
Parameters

container | A container. Types: Container: ModifiedString, String Gaps
object | An object that holds a value or points to a value. Types: Iterator: BottomUp Iterator, Iter, ModifiedIterator, TopDownHistory Iterator Adjacency Iterator, Bfs Iterator, Dfs Preorder Iterator, Edge Iterator, HitIterator, HspIterator, Out-Edge Iterator, Vertex Iterator
pos | The position of an item in object. Remarks: pos should be convertible to Position<T>::Type for container-type T.
file | A file stream.
it | An iterator. Types: HitIterator, HspIterator

Remarks
If pos is out of range, then the behavior of the function is undefined.
Return Values
The item at position pos in container. This can either be a reference to the item or a temporary copy of the item.
Metafunctions: GetValue
Example Programs
Iterator Basics
Part of Concept
Container, Iterator
See Also
Position, value, GetValue
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:47